6.8
CVSSv2

CVE-2014-9628

Published: 24/01/2020 Updated: 29/01/2020
CVSS v2 Base Score: 6.8 | Impact Score: 6.4 | Exploitability Score: 8.6
VMScore: 605
Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Summary

The MP4_ReadBox_String function in modules/demux/mp4/libmp4.c in VideoLAN VLC media player prior to 2.1.6 allows remote malicious users to trigger an unintended zero-size malloc and conduct buffer overflow attacks, and consequently execute arbitrary code, via a box size of 7.

Vulnerability Trend

Affected Products

Vendor Product Versions
VideolanVlc Media Player-, 0.1.99a, 0.1.99b, 0.1.99c, 0.1.99d, 0.1.99e, 0.1.99f, 0.1.99g, 0.1.99h, 0.1.99i, 0.2.0, 0.2.50, 0.2.60, 0.2.61, 0.2.62, 0.2.63, 0.2.70, 0.2.71, 0.2.72, 0.2.73, 0.2.80, 0.2.81, 0.2.82, 0.2.83, 0.2.90, 0.2.91, 0.2.92, 0.3.0, 0.3.1, 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.4.3-ac3, 0.4.4, 0.4.5, 0.4.6, 0.5.0, 0.5.1, 0.5.1a, 0.5.2, 0.5.3, 0.6.0, 0.6.1, 0.6.2, 0.7.0, 0.7.1, 0.7.2, 0.8.0, 0.8.1, 0.8.2, 0.8.4, 0.8.4a, 0.8.5, 0.8.6, 0.8.6a, 0.8.6b, 0.8.6c, 0.8.6d, 0.8.6e, 0.8.6f, 0.8.6g, 0.8.6h, 0.8.6i, 0.8.1337, 0.9.0, 0.9.1, 0.9.2, 0.9.3, 0.9.4, 0.9.5, 0.9.6, 0.9.8a, 0.9.9, 0.9.9a, 0.9.10, 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.0.5, 1.0.6, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.4.1, 1.1.5, 1.1.6, 1.1.6.1, 1.1.7, 1.1.8, 1.1.9, 1.1.10, 1.1.10.1, 1.1.11, 1.1.12, 1.1.13, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.0.8, 2.0.9, 2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.5

Vendor Advisories

Debian Bug report logs - #775866 vlc: multiple vulnerabilities Package: src:vlc; Maintainer for src:vlc is Debian Multimedia Maintainers <debian-multimedia@listsdebianorg>; Reported by: Yves-Alexis Perez <corsac@debianorg> Date: Tue, 20 Jan 2015 20:51:01 UTC Severity: grave Tags: security Found in version vlc/21 ...